FOG Upgrade to 1.5.4 fails



  • Interestingly, I just tried to update to 1.5.4, and the final line of the install states Updating Database…Failed!

    Here’s the fog_error_1.5.4.log:

    /usr/bin/lsb_release
    /bin/systemctl
    Ign http://ftp.us.debian.org jessie InRelease
    Hit http://ftp.us.debian.org jessie-updates InRelease
    Hit http://security.debian.org jessie/updates InRelease
    Hit http://ftp.us.debian.org jessie Release.gpg
    Hit http://ftp.us.debian.org jessie-updates/main Sources
    Hit http://security.debian.org jessie/updates/main Sources
    Hit https://packages.microsoft.com jessie InRelease
    Get:1 http://ftp.us.debian.org jessie-updates/main amd64 Packages/DiffIndex [11.8 kB]
    Hit http://security.debian.org jessie/updates/main amd64 Packages
    Hit https://packages.microsoft.com jessie/main amd64 Packages
    Get:2 http://ftp.us.debian.org jessie-updates/main Translation-en/DiffIndex [3,688 B]
    Get:3 https://packages.microsoft.com jessie/main Translation-en_US [178 B]
    Hit http://security.debian.org jessie/updates/main Translation-en
    Hit http://ftp.us.debian.org jessie Release
    Get:4 https://packages.microsoft.com jessie/main Translation-en [178 B]
    Get:5 https://packages.microsoft.com jessie/main Translation-en_US [178 B]
    Hit http://ftp.us.debian.org jessie/main Sources
    Get:6 https://packages.microsoft.com jessie/main Translation-en [178 B]
    Hit http://ftp.us.debian.org jessie/main amd64 Packages
    Get:7 https://packages.microsoft.com jessie/main Translation-en_US [178 B]
    Get:8 https://packages.microsoft.com jessie/main Translation-en [178 B]
    Hit http://ftp.us.debian.org jessie/main Translation-en
    Get:9 https://packages.microsoft.com jessie/main Translation-en_US [178 B]
    Get:10 https://packages.microsoft.com jessie/main Translation-en [178 B]
    Get:11 https://packages.microsoft.com jessie/main Translation-en_US [178 B]
    Ign https://packages.microsoft.com jessie/main Translation-en_US
    Get:12 https://packages.microsoft.com jessie/main Translation-en [178 B]
    Ign https://packages.microsoft.com jessie/main Translation-en
    Fetched 15.5 kB in 2s (6,214 B/s)
    Reading package lists...
    ii  apache2        2.4.10-10+deb8u11 amd64        Apache HTTP Server
    ii  bc             1.06.95-9    amd64        GNU bc arbitrary precision calculator language
    ii  build-essential 11.7         amd64        Informational list of build-essential packages
    ii  cpp            4:4.9.2-2    amd64        GNU C preprocessor (cpp)
    ii  curl           7.38.0-4+deb8u8 amd64        command line tool for transferring data with URL syntax
    ii  g++            4:4.9.2-2    amd64        GNU C++ compiler
    ii  gawk           1:4.1.1+dfsg-1 amd64        GNU awk, a pattern scanning and processing language
    ii  gcc            4:4.9.2-2    amd64        GNU C compiler
    ii  genisoimage    9:1.1.11-3   amd64        Creates ISO-9660 CD-ROM filesystem images
    ii  gzip           1.6-4        amd64        GNU compression utilities
    ii  htmldoc        1.8.27-8+b1  amd64        HTML processor that generates indexed HTML, PS, and PDF
    ii  isolinux       3:6.03+dfsg-5+deb8u2 all          collection of bootloaders (ISO 9960 bootloader)
    ii  lftp           4.6.0-1+deb8u1 amd64        Sophisticated command-line FTP/HTTP/BitTorrent client programs
    ii  libapache2-mod-php5 5.6.30+dfsg-0+deb8u1 amd64        server-side, HTML-embedded scripting language (Apache 2 module)
    ii  libc6:amd64    2.19-18+deb8u10 amd64        GNU C Library: Shared libraries
    ii  libcurl3:amd64 7.38.0-4+deb8u8 amd64        easy-to-use client-side URL transfer library (OpenSSL flavour)
    ii  liblzma-dev:amd64 5.1.1alpha+20120614-2+b3 amd64        XZ-format compression library - development files
    ii  m4             1.4.17-4     amd64        macro processing language
    ii  mysql-client   5.5.58-0+deb8u1 all          MySQL database client (metapackage depending on the latest version)
    mysql-server-core-5.5
    mysql-server-5.5
    mysql-server
    ii  mysql-server   5.5.58-0+deb8u1 all          MySQL database server (metapackage depending on the latest version)
    ii  net-tools      1.60-26+b1   amd64        NET-3 networking toolkit
    ii  nfs-kernel-server 1:1.2.8-9    amd64        support for NFS kernel server
    ii  openssh-server 1:6.7p1-5+deb8u4 amd64        secure shell (SSH) server, for secure access from remote machines
    ii  php5           5.6.30+dfsg-0+deb8u1 all          server-side, HTML-embedded scripting language (metapackage)
    dpkg-query: no packages found matching php5-bcmath
    ii  php5-cli       5.6.30+dfsg-0+deb8u1 amd64        command-line interpreter for the php5 scripting language
    ii  php5-curl      5.6.30+dfsg-0+deb8u1 amd64        CURL module for php5
    ii  php5-fpm       5.6.30+dfsg-0+deb8u1 amd64        server-side, HTML-embedded scripting language (FPM-CGI binary)
    ii  php5-gd        5.6.30+dfsg-0+deb8u1 amd64        GD module for php5
    php5-json
    ii  php5-json      1.3.6-1      amd64        JSON module for php5
    ii  php5-mcrypt    5.6.30+dfsg-0+deb8u1 amd64        MCrypt module for php5
    php5-mysqlnd-ms
    php5-mysqlnd
    ii  php5-mysqlnd   5.6.30+dfsg-0+deb8u1 amd64        MySQL module for php5 (Native Driver)
    php5-mysqlnd-ms
    php5-mysqlnd
    ii  php5-mysqlnd   5.6.30+dfsg-0+deb8u1 amd64        MySQL module for php5 (Native Driver)
    ii  php-gettext    1.0.11-1     all          read gettext MO files directly, without requiring anything other than PHP
    ii  sysv-rc-conf   0.99-7       all          SysV init runlevel configuration tool for the terminal
    ii  tar            1.27.1-2+deb8u1 amd64        GNU version of the tar archiving utility
    ii  tftpd-hpa      5.2+20140608-3 amd64        HPA's tftp server
    ii  tftp-hpa       5.2+20140608-3 amd64        HPA's tftp client
    ii  unzip          6.0-16+deb8u3 amd64        De-archiver for .zip files
    ii  vsftpd         3.0.2-17+deb8u1 amd64        lightweight, efficient FTP server written for security
    ii  wget           1.16-1+deb8u4 amd64        retrieves files from the web
    ii  xinetd         1:2.3.15-3   amd64        replacement for inetd with many enhancements
    ii  zlib1g:amd64   1:1.2.8.dfsg-2+b1 amd64        compression library - runtime
    Reading package lists...
    Building dependency tree...
    Reading state information...
    bc is already the newest version.
    build-essential is already the newest version.
    genisoimage is already the newest version.
    gawk is already the newest version.
    cpp is already the newest version.
    g++ is already the newest version.
    gcc is already the newest version.
    libc6 is already the newest version.
    gzip is already the newest version.
    htmldoc is already the newest version.
    lftp is already the newest version.
    m4 is already the newest version.
    net-tools is already the newest version.
    nfs-kernel-server is already the newest version.
    openssh-server is already the newest version.
    php-gettext is already the newest version.
    php5-json is already the newest version.
    isolinux is already the newest version.
    sysv-rc-conf is already the newest version.
    tar is already the newest version.
    tftp-hpa is already the newest version.
    tftpd-hpa is already the newest version.
    unzip is already the newest version.
    vsftpd is already the newest version.
    xinetd is already the newest version.
    liblzma-dev is already the newest version.
    zlib1g is already the newest version.
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    
    The following packages have unmet dependencies:
     php5-ldap : Depends: php5-common (= 5.6.30+dfsg-0+deb8u1) but 5.6.33+dfsg-0+deb8u1 is to be installed
     php5-readline : Depends: php5-common (= 5.6.30+dfsg-0+deb8u1) but 5.6.33+dfsg-0+deb8u1 is to be installed
                     Depends: php5-cli (= 5.6.30+dfsg-0+deb8u1) but 5.6.33+dfsg-0+deb8u1 is to be installed
    E: Broken packages
    ii  apache2        2.4.10-10+deb8u11 amd64        Apache HTTP Server
    ii  bc             1.06.95-9    amd64        GNU bc arbitrary precision calculator language
    ii  build-essential 11.7         amd64        Informational list of build-essential packages
    ii  cpp            4:4.9.2-2    amd64        GNU C preprocessor (cpp)
    ii  curl           7.38.0-4+deb8u8 amd64        command line tool for transferring data with URL syntax
    ii  g++            4:4.9.2-2    amd64        GNU C++ compiler
    ii  gawk           1:4.1.1+dfsg-1 amd64        GNU awk, a pattern scanning and processing language
    ii  gcc            4:4.9.2-2    amd64        GNU C compiler
    ii  genisoimage    9:1.1.11-3   amd64        Creates ISO-9660 CD-ROM filesystem images
    ii  gzip           1.6-4        amd64        GNU compression utilities
    ii  htmldoc        1.8.27-8+b1  amd64        HTML processor that generates indexed HTML, PS, and PDF
    ii  isolinux       3:6.03+dfsg-5+deb8u2 all          collection of bootloaders (ISO 9960 bootloader)
    ii  lftp           4.6.0-1+deb8u1 amd64        Sophisticated command-line FTP/HTTP/BitTorrent client programs
    ii  libapache2-mod-php5 5.6.30+dfsg-0+deb8u1 amd64        server-side, HTML-embedded scripting language (Apache 2 module)
    ii  libc6:amd64    2.19-18+deb8u10 amd64        GNU C Library: Shared libraries
    ii  libcurl3:amd64 7.38.0-4+deb8u8 amd64        easy-to-use client-side URL transfer library (OpenSSL flavour)
    ii  liblzma-dev:amd64 5.1.1alpha+20120614-2+b3 amd64        XZ-format compression library - development files
    ii  m4             1.4.17-4     amd64        macro processing language
    ii  mysql-client   5.5.58-0+deb8u1 all          MySQL database client (metapackage depending on the latest version)
    ii  mysql-server   5.5.58-0+deb8u1 all          MySQL database server (metapackage depending on the latest version)
    ii  net-tools      1.60-26+b1   amd64        NET-3 networking toolkit
    ii  nfs-kernel-server 1:1.2.8-9    amd64        support for NFS kernel server
    ii  openssh-server 1:6.7p1-5+deb8u4 amd64        secure shell (SSH) server, for secure access from remote machines
    ii  php5           5.6.30+dfsg-0+deb8u1 all          server-side, HTML-embedded scripting language (metapackage)
    ii  php5-cli       5.6.30+dfsg-0+deb8u1 amd64        command-line interpreter for the php5 scripting language
    ii  php5-curl      5.6.30+dfsg-0+deb8u1 amd64        CURL module for php5
    ii  php5-fpm       5.6.30+dfsg-0+deb8u1 amd64        server-side, HTML-embedded scripting language (FPM-CGI binary)
    ii  php5-gd        5.6.30+dfsg-0+deb8u1 amd64        GD module for php5
    ii  php5-json      1.3.6-1      amd64        JSON module for php5
    ii  php5-mcrypt    5.6.30+dfsg-0+deb8u1 amd64        MCrypt module for php5
    ii  php5-mysqlnd   5.6.30+dfsg-0+deb8u1 amd64        MySQL module for php5 (Native Driver)
    ii  php-gettext    1.0.11-1     all          read gettext MO files directly, without requiring anything other than PHP
    ii  sysv-rc-conf   0.99-7       all          SysV init runlevel configuration tool for the terminal
    ii  tar            1.27.1-2+deb8u1 amd64        GNU version of the tar archiving utility
    ii  tftpd-hpa      5.2+20140608-3 amd64        HPA's tftp server
    ii  tftp-hpa       5.2+20140608-3 amd64        HPA's tftp client
    ii  unzip          6.0-16+deb8u3 amd64        De-archiver for .zip files
    ii  vsftpd         3.0.2-17+deb8u1 amd64        lightweight, efficient FTP server written for security
    ii  wget           1.16-1+deb8u4 amd64        retrieves files from the web
    ii  xinetd         1:2.3.15-3   amd64        replacement for inetd with many enhancements
    ii  zlib1g:amd64   1:1.2.8.dfsg-2+b1 amd64        compression library - runtime
    Enter new UNIX password: Retype new UNIX password: passwd: password updated successfully
    Synchronizing state for mysql.service with sysvinit using update-rc.d...
    Executing /usr/sbin/update-rc.d mysql defaults
    insserv: warning: script 'K01initiscsi' missing LSB tags and overrides
    insserv: warning: script 'initiscsi' missing LSB tags and overrides
    Executing /usr/sbin/update-rc.d mysql enable
    insserv: warning: script 'K01initiscsi' missing LSB tags and overrides
    insserv: warning: script 'initiscsi' missing LSB tags and overrides
    ● mysql.service - LSB: Start and stop the mysql database server daemon
       Loaded: loaded (/etc/init.d/mysql)
       Active: active (running) since Thu 2018-06-21 17:08:29 EDT; 2s ago
      Process: 19216 ExecStop=/etc/init.d/mysql stop (code=exited, status=0/SUCCESS)
      Process: 19256 ExecStart=/etc/init.d/mysql start (code=exited, status=0/SUCCESS)
       CGroup: /system.slice/mysql.service
               ├─19283 /bin/sh /usr/bin/mysqld_safe
               └─19615 /usr/sbin/mysqld --basedir=/usr --datadir=/var/lib/mysql --plugin-dir=/usr/lib/mysql/plugin --user=mysql --log-error=/var/log/mysql/error.log --pid-file=/var/run/mysqld/mysqld.pid --socket=/var/run/mysqld/mysqld.sock --port=3306
    
    Jun 21 17:08:29 Slipstream mysql[19256]: Starting MySQL database server: mysqld ..
    Jun 21 17:08:29 Slipstream mysql[19256]: Checking for tables which need an upgrade, are corrupt or were
    Jun 21 17:08:29 Slipstream mysql[19256]: not closed cleanly..
    Jun 21 17:08:29 Slipstream systemd[1]: Started LSB: Start and stop the mysql database server daemon.
    Site 001-fog disabled.
    To activate the new configuration, you need to run:
      service apache2 reload
    ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: NO)
    Synchronizing state for mysql.service with sysvinit using update-rc.d...
    Executing /usr/sbin/update-rc.d mysql defaults
    insserv: warning: script 'K01initiscsi' missing LSB tags and overrides
    insserv: warning: script 'initiscsi' missing LSB tags and overrides
    Executing /usr/sbin/update-rc.d mysql enable
    insserv: warning: script 'K01initiscsi' missing LSB tags and overrides
    insserv: warning: script 'initiscsi' missing LSB tags and overrides
    ● mysql.service - LSB: Start and stop the mysql database server daemon
       Loaded: loaded (/etc/init.d/mysql)
       Active: active (running) since Thu 2018-06-21 17:08:55 EDT; 2s ago
      Process: 19993 ExecStop=/etc/init.d/mysql stop (code=exited, status=0/SUCCESS)
      Process: 20034 ExecStart=/etc/init.d/mysql start (code=exited, status=0/SUCCESS)
       CGroup: /system.slice/mysql.service
               ├─20061 /bin/sh /usr/bin/mysqld_safe
               └─20394 /usr/sbin/mysqld --basedir=/usr --datadir=/var/lib/mysql --plugin-dir=/usr/lib/mysql/plugin --user=mysql --log-error=/var/log/mysql/error.log --pid-file=/var/run/mysqld/mysqld.pid --socket=/var/run/mysqld/mysqld.sock --port=3306
    
    Jun 21 17:08:55 Slipstream mysql[20034]: Starting MySQL database server: mysqld ..
    Jun 21 17:08:55 Slipstream mysql[20034]: Checking for tables which need an upgrade, are corrupt or were
    Jun 21 17:08:55 Slipstream mysql[20034]: not closed cleanly..
    Jun 21 17:08:55 Slipstream systemd[1]: Started LSB: Start and stop the mysql database server daemon.
    Archive:  binaries1.5.4.zip
      inflating: packages/kernels/bzImage  
      inflating: packages/kernels/bzImage32  
      inflating: packages/kernels/arm_Image32  
      inflating: packages/kernels/arm_Image  
      inflating: packages/inits/arm_init.cpio.gz  
      inflating: packages/inits/init_32.xz  
      inflating: packages/inits/init.xz  
     extracting: packages/clientfiles/FOGCrypt.zip  
     extracting: packages/clientfiles/FogService.zip  
      inflating: packages/clientfiles/SmartInstaller.exe  
      inflating: packages/clientfiles/FOGService.msi  
      inflating: packages/FOGService.msi  
    ‘../packages/clientfiles/FOGCrypt.zip’ -> ‘/var/www/html/fog//client/FOGCrypt.zip’
    ‘../packages/clientfiles/FOGService.msi’ -> ‘/var/www/html/fog//client/FOGService.msi’
    ‘../packages/clientfiles/FogService.zip’ -> ‘/var/www/html/fog//client/FogService.zip’
    ‘../packages/clientfiles/SmartInstaller.exe’ -> ‘/var/www/html/fog//client/SmartInstaller.exe’
    ‘../packages/kernels/arm_Image’ -> ‘/var/www/html/fog//service/ipxe/arm_Image’
    ‘../packages/kernels/arm_Image32’ -> ‘/var/www/html/fog//service/ipxe/arm_Image32’
    ‘../packages/kernels/bzImage’ -> ‘/var/www/html/fog//service/ipxe/bzImage’
    ‘../packages/kernels/bzImage32’ -> ‘/var/www/html/fog//service/ipxe/bzImage32’
    ‘../packages/inits/arm_init.cpio.gz’ -> ‘/var/www/html/fog//service/ipxe/arm_init.cpio.gz’
    ‘../packages/inits/init_32.xz’ -> ‘/var/www/html/fog//service/ipxe/init_32.xz’
    ‘../packages/inits/init.xz’ -> ‘/var/www/html/fog//service/ipxe/init.xz’
    mysqlnd
    mcrypt
    Synchronizing state for apache2.service with sysvinit using update-rc.d...
    Executing /usr/sbin/update-rc.d apache2 defaults
    insserv: warning: script 'K01initiscsi' missing LSB tags and overrides
    insserv: warning: script 'initiscsi' missing LSB tags and overrides
    Executing /usr/sbin/update-rc.d apache2 enable
    insserv: warning: script 'K01initiscsi' missing LSB tags and overrides
    insserv: warning: script 'initiscsi' missing LSB tags and overrides
    Synchronizing state for php5-fpm.service with sysvinit using update-rc.d...
    Executing /usr/sbin/update-rc.d php5-fpm defaults
    insserv: warning: script 'K01initiscsi' missing LSB tags and overrides
    insserv: warning: script 'initiscsi' missing LSB tags and overrides
    Executing /usr/sbin/update-rc.d php5-fpm enable
    insserv: warning: script 'K01initiscsi' missing LSB tags and overrides
    insserv: warning: script 'initiscsi' missing LSB tags and overrides
    Generating RSA private key, 4096 bit long modulus
    .............................................++
    ................................................................................................................................................................................++
    e is 65537 (0x10001)
    You are about to be asked to enter information that will be incorporated
    into your certificate request.
    What you are about to enter is what is called a Distinguished Name or a DN.
    There are quite a few fields but you can leave some blank
    For some fields there will be a default value,
    If you enter '.', the field will be left blank.
    -----
    Country Name (2 letter code) [AU]:State or Province Name (full name) [Some-State]:Locality Name (eg, city) []:Organization Name (eg, company) [Internet Widgits Pty Ltd]:Organizational Unit Name (eg, section) []:Common Name (e.g. server FQDN or YOUR name) []:Email Address []:Generating RSA private key, 4096 bit long modulus
    ................................................++
    ..............................................................................................................................................++
    e is 65537 (0x10001)
    You are about to be asked to enter information that will be incorporated
    into your certificate request.
    What you are about to enter is what is called a Distinguished Name or a DN.
    There are quite a few fields but you can leave some blank
    For some fields there will be a default value,
    If you enter '.', the field will be left blank.
    -----
    Country Name (2 letter code) [AU]:State or Province Name (full name) [Some-State]:Locality Name (eg, city) []:Organization Name (eg, company) [Internet Widgits Pty Ltd]:Organizational Unit Name (eg, section) []:Common Name (e.g. server FQDN or YOUR name) []:Email Address []:
    Please enter the following 'extra' attributes
    to be sent with your certificate request
    A challenge password []:An optional company name []:Signature ok
    subject=/CN=10.20.103.238
    Getting CA Private Key
    ln: failed to create symbolic link ‘/var/www/html/fog/fog’: File exists
    Module php5 already enabled
    Considering dependency proxy for proxy_fcgi:
    Module proxy already enabled
    Module proxy_fcgi already enabled
    Module setenvif already enabled
    Module rewrite already enabled
    Considering dependency setenvif for ssl:
    Module setenvif already enabled
    Considering dependency mime for ssl:
    Module mime already enabled
    Considering dependency socache_shmcb for ssl:
    Module socache_shmcb already enabled
    Module ssl already enabled
    Enabling site 001-fog.
    To activate the new configuration, you need to run:
      service apache2 reload
    ● apache2.service - LSB: Apache2 web server
       Loaded: loaded (/etc/init.d/apache2)
      Drop-In: /lib/systemd/system/apache2.service.d
               └─forking.conf
       Active: active (running) since Thu 2018-06-21 17:09:07 EDT; 2s ago
      Process: 20843 ExecStart=/etc/init.d/apache2 start (code=exited, status=0/SUCCESS)
       CGroup: /system.slice/apache2.service
               ├─20868 /usr/sbin/apache2 -k start
               ├─20871 /usr/sbin/apache2 -k start
               ├─20872 /usr/sbin/apache2 -k start
               ├─20873 /usr/sbin/apache2 -k start
               ├─20874 /usr/sbin/apache2 -k start
               ├─20875 /usr/sbin/apache2 -k start
               ├─20882 /usr/sbin/apache2 -k start
               ├─20883 /usr/sbin/apache2 -k start
               └─20884 /usr/sbin/apache2 -k start
    
    Jun 21 17:09:07 Slipstream apache2[20843]: Starting web server: apache2.
    Jun 21 17:09:07 Slipstream systemd[1]: Started LSB: Apache2 web server.
    
    ● php5-fpm.service - The PHP FastCGI Process Manager
       Loaded: loaded (/lib/systemd/system/php5-fpm.service; enabled)
       Active: active (running) since Thu 2018-06-21 17:09:06 EDT; 3s ago
      Process: 20852 ExecStartPre=/usr/lib/php5/php5-fpm-checkconf (code=exited, status=0/SUCCESS)
     Main PID: 20860 (php5-fpm)
       Status: "Ready to handle connections"
       CGroup: /system.slice/php5-fpm.service
               ├─20860 php-fpm: master process (/etc/php5/fpm/php-fpm.conf)                    
               ├─20866 php-fpm: pool www                                                       
               └─20867 php-fpm: pool www                                                       
    
    Jun 21 17:09:06 Slipstream systemd[1]: Started The PHP FastCGI Process Manager.
    --2018-06-21 17:09:09--  http://10.20.103.238//fog//maintenance/backup_db.php
    Connecting to 10.20.103.238:80... connected.
    HTTP request sent, awaiting response... 302 Moved Temporarily
    Location: ?node=schema [following]
    --2018-06-21 17:09:11--  http://10.20.103.238//fog//maintenance/backup_db.php?node=schema
    Connecting to 10.20.103.238:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: unspecified [text/html]
    Saving to: ‘/home//fogDBbackups/fog_sql_1.5.4_20180621_050909.sql’
    
         0K                                                        2.61M=0s
    
    2018-06-21 17:09:11 (2.61 MB/s) - ‘/home//fogDBbackups/fog_sql_1.5.4_20180621_050909.sql’ saved [31]
    
    
    

  • Developer

    @svalding Thanks for getting back on this and letting us know!



  • I was able to resolve this. It was something in .fogsettings during the upgade. I re-ran the installer without -y and everything went off without a hitch.



  • Debian 8.10
    Fog 1.4.0-RC-8
    php 5.6.30-0+deb8ul


  • Moderator

    @svalding said in FOG Upgrade to 1.5.4 fails:

    The following packages have unmet dependencies:
    php5-ldap : Depends: php5-common (= 5.6.30+dfsg-0+deb8u1) but 5.6.33+dfsg-0+deb8u1 is to be installed
    php5-readline : Depends: php5-common (= 5.6.30+dfsg-0+deb8u1) but 5.6.33+dfsg-0+deb8u1 is to be installed
    Depends: php5-cli (= 5.6.30+dfsg-0+deb8u1) but 5.6.33+dfsg-0+deb8u1 is to be installed
    E: Broken packages

    I don’t know why it will only throw a fit at the end (maybe because PHP isn’t working 100%), but this seems to be an issue regardless.

    What OS and version are you on?



  • I did try to rerun the installer, but the same thing seems to occur.
    I’m doing an upgrade from 1.4.0-RC-8. Do I possibly need to upgrade to a 1.5.x branch first, before I move to 1.5.4 stable?



  • @svalding Have you re-tried the installer?


 

408
Online

41.6k
Users

12.1k
Topics

114.4k
Posts